Imports Microsoft.VisualBasic
Imports System
Imports DevExpress.ExpressApp.Win.Editors
Imports DevExpress.ExpressApp.Model
Imports DevExpress.ExpressApp.Editors

<PropertyEditor(GetType([String]), False)> _
Public Class G2anttPropertyEditor
    Inherits WinPropertyEditor
    Public Sub New(ByVal objectType As Type, ByVal info As IModelMemberViewItem)
        MyBase.New(objectType, info)
        ControlBindingProperty = "G2anttInfo"
    End Sub
    Private G2anttUserControlCore As G2anttUserControl = Nothing
    Public ReadOnly Property G2anttUserControl() As G2anttUserControl
        Get
            Return G2anttUserControlCore
        End Get
    End Property
    Protected Overrides Function CreateControlCore() As Object
        G2anttUserControlCore = New G2anttUserControl()
        Return G2anttUserControlCore
    End Function
    Protected Overrides Sub OnAllowEditChanged()
        MyBase.OnAllowEditChanged()

    End Sub
End Class
